Subject: RE: [NSIS] NATFW NSLP Issue 66: Possibility of NOTIFY storms

From: "Hancock, Robert" <[email-masked]>
Date: Wed, 22 Feb 2006 09:34:09 -0000

hi martin,

a tiny tweak:

> -----Original Message-----
> From: Martin Stiemerling [mailto:[email-masked]] 
> Sent: 22 February 2006 08:04
> To: nsis
> Subject: Re: [NSIS] NATFW NSLP Issue 66: Possibility of NOTIFY storms
> 
> 
> Hi,
> 
> I have noticed that the references to the appropriate 
> sections in the  
> NTLP were missing, after sending the text proposal for issue 66.
> 
> Here is the reworked proposal:
> 
>     NATFW NSLP forwarders, keeping multiple signaling sessions at the
>     same time, can experience problems when shutting down service
>     suddenly.  This sudden shutdown can be result of node locale
failure,
>     for instance, due to a hardware failure.  This NF generates NOTIFY
>     messages for each of the signaling sessions and tries to send them
>     upstream.  Due to the amount of NOTIFY messages the shutdown of
the
>     node may be unnecessarily prolonged, since not all messages can be
>     send at the same time.  This case can be described as a NOTIFY
storm,
>     if a multitude of signaling sessions is involved.
> 
>     To avoid the need of generating per signaling session NOTIFY
message
>     in such a described or similar scenario, NFs SHOULD follow this
>     procedure: The NF uses the NOTIFY message with the session ID in
the
>     NTLP set to zero, with the MRI completely wildcarded, and the
>     'explicit routing' as described in Sections 5.2.1 and 7.1.4. in
[1].
>     The upstream NF receiving this type of NOTIFY immediately regards
all
>     signaling sessions bound to the messaging association where this
                                      ^^^^^^^^^^^^^^^^^^^^^

i think it would be better to phrase it as 'all signalling sessions from
that peer matching the MRI'. the NSLP doesn't what what sessions are
bound
to the MA (indeed, sessions aren't really bound to MAs - indeed, NSLPs
aren't
even supposed to know that MAs exist in the first place).

r.

>     NOTIFY has been received as void.
> 
> [1] refers to the NTLP.
> 
> Regards,
> 
>    Martin

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis

---

From: Martin Stiemerling <[email-masked]>
Date: Wed, 22 Feb 2006 15:48:58 +0100

Hi Robert,

Am 22.02.2006 um 10:34 schrieb Hancock, Robert:

[snip]

>>     signaling sessions bound to the messaging association where this

Yes, true. I have replaced the phrase by your suggestion. It reads now:

    [...]
    'explicit routing' as described in Sections 5.2.1 and 7.1.4. in [1].
    The upstream NF receiving this type of NOTIFY immediately regards  
all
    signaling sessions from that peer matching the MRI as void.

Thanks,

   Martin